List Enrollment Events
curl --request GET \
--url https://api.staging.payrails.io/dispute/disputes/alert-enrollments/{enrollmentId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/dispute/disputes/alert-enrollments/{enrollmentId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/dispute/disputes/alert-enrollments/{enrollmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "<string>",
"prev": "<string>",
"next": "<string>",
"first": "<string>",
"last": "<string>"
},
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "prevention.enrolment.enroll_requested",
"descriptors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"descriptor": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"actorType": "user",
"actorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}List Enrollment Events
List the activity events for a dispute alert enrollment.
GET
https://api.staging.payrails.io
/
dispute
/
disputes
/
alert-enrollments
/
{enrollmentId}
/
events
List Enrollment Events
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
The enrollment ID.
Response
Success.
Hide child attributes
Hide child attributes
The enrollment lifecycle action.
Available options:
prevention.enrolment.enroll_requested, prevention.enrolment.enrolled, prevention.enrolment.unenroll_requested, prevention.enrolment.unenrolled Available options:
user, system Last modified on October 1, 2026